# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/quat.hpp File Reference

`#include "vl/GLSLmath.hpp"`

## Classes
class | vl::quat
| The quat class implements a quaternion using vl::Real precision. More...
## Namespaces
namespace | vl
| Visualization Library namespace.

## Functions
quat | vl::operator* (Real r, const quat &q)
quat | vl::operator* (const quat &q1, const quat &q2)
vec3 | vl::operator* (const quat &q, const vec3 &v)
vec4 | vl::operator* (const quat &q, const vec4 &v)

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:28:51 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.